Associated revisions
Revision cf85607b - 07/31/2011 11:23 PM - J. Moringen
Initial import of RSB Python XML/XOP support
refs #461
    -  python/: initial pieces of XML/XOP support for Python

Revision fcb38af3 - 08/02/2011 03:20 AM - J. Moringen
Removed spread in setup.py, added test/__init__.py
refs #461
    -  setup.py: removed configuration and launch of Spread daemon from

  test and coverage targets
    -  test/__init__.py: new file; contains root unit test suite

Revision e3fe878e - 08/02/2011 03:33 AM - J. Moringen
Added initial unit tests in test/xop.py
refs #461
    -  test/__init__.py: load XOP test suite from xop module
    -  test/xop.py: new file; contains unit tests for the xop module

Revision 91dfc401 - 08/02/2011 04:54 AM - J. Moringen
Initial conversion of XOP packages in rsbxml/xop.py
refs #461
    -  rsbxml/xop.py: implemented serialize and deserialize methods of

  XOPConverter
    -  test/xop.py: added test suite XOPConverterTest with test cases for

  XOPConverter.serialize and XOPConverter.deserialize

Revision c76210d9 - 08/02/2011 05:00 AM - J. Moringen
Changed wire-type to bytearray in rsbxml/xop.py
refs #461
    -  rsbxml/xop.py: changed wire-type of XOPConverter to bytearray

Revision 763ff877 - 08/02/2011 05:14 AM - J. Moringen
Try to force converter registration in rsbxml/xop.py
refs #461
    -  rsbxml/xop.py: recreate default participant configuration to force
  inclusion of the newly registered converter

Revision 1fc44a91 - 08/02/2011 05:15 AM - J. Moringen
Try to force converter registration, again in rsbxml/xop.py
refs #461
    -  rsbxml/xop.py: last commit did not import rsb before messing with

  default participant config

Revision 65de5bf4 - 08/05/2011 05:17 AM - J. Moringen
Improved Package and Part classes in rsbxml/xop.py
refs #461
    -  rsbxml/xop.py: fixed printing, XML parsing and XML unparsing of

  Package class; fixed printing of Part; implemented approximately
  working serialization and deserialization in XOPConverter class

History
#1 - 07/31/2011 11:19 PM - J. Moringen
- Project changed from Robotics Service Bus to RSB XML Support
- Category changed from Python to Python

#2 - 07/31/2011 11:24 PM - J. Moringen
- % Done changed from 0 to 30

#3 - 08/05/2011 05:18 AM - J. Moringen
- % Done changed from 30 to 70

#4 - 01/31/2012 12:18 PM - S. Wrede
- Target version deleted (rsb-0.10)

#5 - 06/08/2016 01:01 PM - J. Moringen
- Subject changed from XML/XOP Support to XML/XOP Support [Python]

#6 - 06/08/2016 01:03 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 70 to 100
